Name: grass
Version: 6.2.3
Release: alt2

Summary: Geographic Resources Analysis Support System
License: GPL
Group: Graphics
Url: http://grass.itc.it/
Packager: Anton V. Boyarshinov <boyarsh@altlinux.org>

Source: %name-%version.tar

%define grassfix 62

PreReq: coreutils

# Automatically added by buildreq on Mon Feb 19 2007
BuildRequires: flex libfftw-devel libjpeg-devel libncurses-devel libpng-devel libpq-devel libqt4-core libtiff-devel libtinfo-devel postgresql-devel proj-devel tcl-devel tk-devel libmesa-devel zlib-devel libgdal-devel libXmu-devel 

%description
GRASS (Geographic Resources Analysis Support System) is an
open source, Free Software Geographical Information System (GIS)
with raster, topological vector, image processing, and graphics
production functionality that operates on various platforms
through a graphical user interface and shell in X-Window.



%prep
%setup -q

%build
%configure \
	--libdir==%_libdir/grass62/lib \
	--with-nls \
	--with-postgres-includes=/usr/include/pgsql \

make

#%install
%make_install install libdir=%_libdir/grass62/lib
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_menudir
install -p -m0755 bin.%_target_platform-gnu/grass%grassfix %buildroot/usr/bin
chmod a+x $RPM_BUILD_ROOT/usr/bin/grass%grassfix
subst 's#GISBASE=.*#GISBASE=%_libdir/grass%{grassfix}#' $RPM_BUILD_ROOT/usr/bin/grass%grassfix

mkdir -p %buildroot%_libdir/grass%grassfix
cp -a dist.%_target_platform-gnu/* %buildroot%_libdir/grass%grassfix

# Add makefiles to includes:
cp -a include/Make %buildroot%_libdir/grass%grassfix/include/

mkdir -p $RPM_BUILD_ROOT/var/lock/grass%grassfix/

#Menu support:
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name):command="%_bindir/grass%grassfix" \
icon="%name.png" \
needs="text" \
section="Applications/Sciences/Geosciences" \
title="Grass%grassfix" \
longtitle="Geographic Resources Analysis Support System"
EOF

%add_findprov_lib_path %_libdir/grass%grassfix/lib

%post
ln -fs %_libdir/grass%grassfix/locks /var/lock/grass%grassfix

%preun
rm -f  %_libdir/grass%grassfix/locks

%postun

%files
%attr(0755,root,root) %_bindir/*
%_libdir/grass%grassfix/
%_menudir/%name
%_libdir/grass%grassfix/lib/*.so
#%_miconsdir/*.png
#%_liconsdir/*.png
#%_iconsdir/*.png
%attr(1777,root,root) /var/lock/grass%grassfix/
%doc AUTHORS COPYING INSTALL README CHANGES


%changelog
* Thu Dec 04 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 6.2.3-alt2
- build fixed 

* Mon Apr 07 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 6.2.3-alt1
- new upstream version: advanced vectors, new GUI

* Thu Aug 23 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 6.2.2-alt1
- first try by me

* Wed Feb 14 2007 Dmitri Kuzishchin <dim@altlinux.ru> 6.2.1-alt1
- Initial package.
